package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * VoipCallLogEnableSetting
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class VoipCallLogEnableSetting   {
  @JsonProperty("callLogEnable")
  private Boolean callLogEnable;

  public VoipCallLogEnableSetting callLogEnable(Boolean callLogEnable) {
    this.callLogEnable = callLogEnable;
    return this;
  }

  /**
   * Whether to enable the call log.
   * @return callLogEnable
  */
  @ApiModelProperty(required = true, value = "Whether to enable the call log.")
  @NotNull


  public Boolean getCallLogEnable() {
    return callLogEnable;
  }

  public void setCallLogEnable(Boolean callLogEnable) {
    this.callLogEnable = callLogEnable;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    VoipCallLogEnableSetting voipCallLogEnableSetting = (VoipCallLogEnableSetting) o;
    return Objects.equals(this.callLogEnable, voipCallLogEnableSetting.callLogEnable);
  }

  @Override
  public int hashCode() {
    return Objects.hash(callLogEnable);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class VoipCallLogEnableSetting {\n");
    
    sb.append("    callLogEnable: ").append(toIndentedString(callLogEnable)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

